### Method

# GLib MarkupParseContext get_user_data

since: 2.18

#### Declaration

    gpointer
    g_markup_parse_context_get_user_data (
      GMarkupParseContext* context
    )

#### Description

Returns the user_data associated with `context`.

This will either be the user_data that was provided to `g_markup_parse_context_new()` or to the most recent call of g_markup_parse_context_push().

Available since: 2.18

#### Return value

Type: `gpointer`

The provided user_data. The returned data belongs to the markup context and will be freed when `g_markup_parse_context_free()` is called.

The returned data is owned by the instance.
The return value can be `NULL`.